This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 178905 - Review Request: smbldap-tools
Review Request: smbldap-tools
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
David Lawrence
:
Depends On: 178906
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-25 06:21 EST by Paul Howarth
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-24 02:49:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
paul: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-01-25 06:21:24 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/smbldap-tools/smbldap-tools.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/smbldap-tools/smbldap-tools-0.9.1-2.src.rpm
Description:

In conjunction with OpenLDAP and Samba-LDAP servers, this collection is useful
to add, modify and delete users and groups, and to change Unix and Samba
passwords. In those contexts they replace the system tools to manage users,
groups and passwords.

Note that version 0.8.7 of smbldap-tools is shipped with samba itself and is included as %doc in the samba RPM. This package is a later version, tweaked to put files in sensible places rather than under /opt. Of course, it does not conflict with the samba package.
Comment 1 Paul Howarth 2006-01-25 06:47:35 EST
Bah, upstream released a new version.

New SRPM:
http://www.city-fan.org/~paul/extras/smbldap-tools/smbldap-tools-0.9.2-1.src.rpm

Spec URL remains unchanged.
Comment 2 Steven Pritchard 2006-01-26 17:53:09 EST
Suggestions for /etc/smbldap_tools/smbldap.conf:

1) Undefine SID so it is fetched with "net getlocalsid".
2) Undefine sambaDomain so it is fetched from smb.conf.
3) TLS keys should go in /etc/pki/?
4) usersdn should be "ou=People,${suffix}" to match OpenLDAP migration tools.
5) groupsdn should be "ou=Group,${suffix}" to match OpenLDAP migration tools.
Comment 3 Paul Howarth 2006-01-27 09:04:04 EST
All suggestions from comment #2 incorporated into new version:

New SRPM:
http://www.city-fan.org/~paul/extras/smbldap-tools/smbldap-tools-0.9.2-2.src.rpm

Spec URL remains unchanged.
Comment 4 Steven Pritchard 2006-03-23 16:05:47 EST
* Package name is correct.
* License is GPL, and COPYING is included.
* spec looks fine.
* Sources match upstream.
* Builds fine under mock (x86_64/development).
* No BuildRequires, so no problems there.
* Directories are owned properly, permissions are set properly, etc.
* Installs and runs fine.
* rpmlint complains about two things:

  E: smbldap-tools non-readable /etc/smbldap-tools/smbldap_bind.conf 0600

  - That can definitely be ignored.

  W: smbldap-tools doc-file-dependency
/usr/share/doc/smbldap-tools-0.9.2/configure.pl perl(File::Basename)

  - That should probably be fixed after importing into CVS.

APPROVED, but please fix that one warning.
Comment 5 Paul Howarth 2006-03-23 18:21:29 EST
(In reply to comment #4)
>   W: smbldap-tools doc-file-dependency
> /usr/share/doc/smbldap-tools-0.9.2/configure.pl perl(File::Basename)
> 
>   - That should probably be fixed after importing into CVS.
> 
> APPROVED, but please fix that one warning.

perl(File::Basename) is provided by the main perl package, which is already a
dependency; does that really need fixing? I don't think so personally.
Comment 6 Steven Pritchard 2006-03-23 18:43:42 EST
I don't have a strong feeling about it (hence the APPROVED anyway), but I've
started just chmod -x'ing everything marked %doc so rpm doesn't pick up any
dependencies.
Comment 7 Paul Howarth 2006-03-24 02:49:24 EST
(In reply to comment #6)
> I don't have a strong feeling about it (hence the APPROVED anyway), but I've
> started just chmod -x'ing everything marked %doc so rpm doesn't pick up any
> dependencies.

I do that if there would be any real new dependencies, but that's not the case
here, so I've elected to leave it as it is.

Build on target fedora-development-extras succeeded.
FC-4 and FC-5 branches requested.

Comment 8 Timon 2006-07-11 02:37:56 EDT
and now you can remove smbldap-tools files from samba package

rpm -qd samba | grep smbldap-tools
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/CONTRIBUTORS
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/COPYING
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/ChangeLog
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/FILES
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/INFRA
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/INSTALL
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/Makefile
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/README
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/TODO
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/configure.pl
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/contents_motif.gif
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/index.html
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/next_motif.gif
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/previous_motif.gif
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/smbldap-tools.html
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/smbldap-tools001.html
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/smbldap-tools002.html
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/smbldap-tools003.html
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/smbldap-tools004.html
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/smbldap-tools005.html
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/smbldap-tools006.html
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/smbldap-tools007.html
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/smbldap-tools008.html
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/smbldap-tools009.html
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/html/smbldap-tools010.html
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/smbldap-migrate-pwdump-accounts
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/smbldap-migrate-pwdump-groups
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/smbldap-migrate-unix-accounts
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/smbldap-migrate-unix-groups
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/doc/smbldap-tools.pdf
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smb.conf
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap-groupadd
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap-groupdel
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap-groupmod
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap-groupshow
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap-passwd
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap-populate
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap-tools.spec
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap-useradd
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap-userdel
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap-userinfo
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap-usermod
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap-usershow
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap.conf
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap_bind.conf
/usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap_tools.pm
Comment 9 Paul Howarth 2006-07-11 02:51:59 EDT
(In reply to comment #8)
> and now you can remove smbldap-tools files from samba package
> 
> rpm -qd samba | grep smbldap-tools
> /usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/CONTRIBUTORS
(snip)
> /usr/share/doc/samba-3.0.22/LDAP/smbldap-tools-0.9.1/smbldap_tools.pm

You'd need to raise that as a separate issue with the samba package.
Comment 10 Paul Howarth 2007-10-08 10:03:35 EDT
Package Change Request
======================
Package Name: smbldap-tools
New Branches: EL-4 EL-5
Comment 11 Kevin Fenzi 2007-10-09 00:47:39 EDT
cvs done. Please don't set the flag to + or your request could be missed...

Note You need to log in before you can comment on or make changes to this bug.